{% extends 'base.html.twig' %}

{% block title %}Hello UserController!{% endblock %}

{% block body %}
<main class="main container">
    <section class="row mt-5">
        <h2 class="display-2">Panier</h2>

        {% if app.user.cart.count %}

            <div class="container__cart">
                <div>
            {% for paint in app.user.cart %}
                    <div class="row">
                        <div class="cart--item card mb-3">
                            <div class="row g-0">
                                <div class="col-md-4">
                                    <img src="{{ asset('img/painting/' ~ paint.image) }}" class="img-fluid rounded-start" alt="...">
                                </div>
                                <div class="col-md-8">
                                    <div class="card-body">
                                        <h5 class="card-title"><a href="{{ path('paint', {id: paint.id}) }}">{{ paint.title|capitalize }}</a></h5>
                                        <p class="card-text"><a href="{{ path('app_author', {id: paint.author.id}) }}">{{ paint.author.name }}</a></p>
                                        <h5 class="card-text">{{ paint.price|form_encode_currency('EUR') }}€</h5>
                                    </div>
                                    <div class="card-body">
                                        <a href="{{ path('app_cart_remove', {id: paint.id}) }}" class="btn btn-outline-primary">Retirer</a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

            {% endfor %}
                </div>
                <div class="row">
                    <div class="card card--total w-75">
                        <div class="card-body">
                            <h5 class="card-title">Résumé de la commande:</h5>
                            <p>
                                    {% set total = 0 %}
                                    {% for art in app.user.cart %}
                                        {% set total = total + art.price %}
                                    {% endfor %}
                                    Total: {{ total|form_encode_currency('EUR') }}€
                                </p>
                               <p>Quantité: {{ app.user.cart.count }}</p>
                            <a href="#" class="btn btn-primary">Commander</a>
                        </div>
                    </div>
                </div>
            </div>
        {% else %}
            <p class="display-5">Votre panier est vide</p>
            <a class="btn btn-primary w-25" href="{{ path('home') }}">Retour à la gallerie</a>
        {% endif %}

    </section>

</main>
{% endblock %}
